Bug 644046 - "md5 mismatch of result" in rebuilding several drpms
Summary: "md5 mismatch of result" in rebuilding several drpms
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: xz
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-18 19:39 UTC by Andre Robatino
Modified: 2013-07-02 23:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-19 05:08:32 UTC
Type: ---


Attachments (Terms of Use)

Description Andre Robatino 2010-10-18 19:39:28 UTC
Description of problem:
Today, in doing Rawhide updates, several of the drpms failed to rebuild due to "md5 mismatch of result" errors. The ones that failed to rebuild corresponded to new rpms that were built before the build date of the new xz (October 16). Not sure whether this is an xz bug or a deliberate change that's not backward-compatible. I filed this bug to find out quickly, since the new xz hasn't been built or pushed to F14 and below yet.

Version-Release number of selected component (if applicable):
xz-4.999.9-0.3.beta.212.gacbc.fc15

Comment 1 Toshio Ernie Kuratomi 2010-10-18 21:45:53 UTC
From just a quick glance at the changelog I'm guessing that some of the changes to make xz compression more repeatable on different machines has hit us.  If so, that's a deliberate change that should make things like generating drpms better in the future.  However, we may not want to push that change back to older Fedora or not push it back without having some set of flags to ensure that we're compressing in the same way with either old or new xz.

Comment 2 Andre Robatino 2010-10-19 02:25:33 UTC
Are you talking about something more recent than the following?

* Fri Oct 02 2009 Jindrich Novy <jnovy@redhat.com> 4.999.9-0.1.20091002.beta - sync with upstream to generate the same archives on machines with different endianess

This is already in all stable releases (and was even in F11 updates). I looked at the changelog in

http://tukaani.org/xz/xz-4.999.9beta-212-gacbc.tar.gz

and didn't see anything obvious.

Comment 3 Toshio Ernie Kuratomi 2010-10-19 03:00:07 UTC
Yes, more recently.  The snapshot brought in some changes wrt the memory limiter.  I think that could cause the compressed data to be different.  

search for:
 792331bdee706aa852a78b171040ebf814c6f3ae
in the changelog:
 http://toshio.fedorapeople.org/xz-ChangeLog

I could be wrong of course -- there's a lot of other changes in this snapshot compared to the beta that we had before so the change could have been introduced somewhere else.

Comment 4 Jindrich Novy 2010-10-19 05:08:32 UTC
There were several improvements in xz lately for better compression. The default settings for compression filters have changed and memory limiter was removed. The settings for filters is the most important change which might cause md5 mismatches in drpm with older archives but gain better and faster compression. All older Fedoras contain old xz git snapshot from March 2010 which is quite old these days.

The update in rawhide is intentional and will not go to older Fedoras. The current git snapshot is also recommended by upstream over the old 4.999.9beta xz release:

http://tukaani.org/xz/
(see the Git repository subsection in Download)


Note You need to log in before you can comment on or make changes to this bug.